## com.fasterxml.jackson.databind.ser.impl
Class ObjectIdWriter

    java.lang.Object
      com.fasterxml.jackson.databind.ser.impl.ObjectIdWriter

    public final class ObjectIdWriter

extends Object

Object that knows how to serialize Object Ids.

Field Summary
`boolean` `alwaysAsId` Marker that indicates what the first reference is to be serialized as full POJO, or as Object Id (other references will always be serialized as Object Id)
`ObjectIdGenerator<?>` `generator` Blueprint generator instance: actual instance will be fetched from `SerializerProvider` using this as the key.
`JavaType` `idType`
`SerializedString` `propertyName` Name of id property to write, if not null: if null, should only write references, but id property is handled by some other entity.
`JsonSerializer<Object>` `serializer` Serializer used for serializing id values.

Constructor Summary
`protected` `ObjectIdWriter(JavaType t, SerializedString propName, ObjectIdGenerator<?> gen, JsonSerializer<?> ser, boolean alwaysAsId)`

Method Summary
`static ObjectIdWriter` `construct(JavaType idType, String propName, ObjectIdGenerator<?> generator, boolean alwaysAsId)` Factory method called by `BeanSerializerBase` with the initial information based on standard settings for the type for which serializer is being built.
`ObjectIdWriter` `withAlwaysAsId(boolean newState)`
`ObjectIdWriter` `withSerializer(JsonSerializer<?> ser)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### idType

    public final JavaType idType

### propertyName

    public final SerializedString propertyName

  Name of id property to write, if not null: if null, should only write references, but id property is handled by some other entity.

### generator

    public final ObjectIdGenerator<?> generator

  Blueprint generator instance: actual instance will be fetched from `SerializerProvider` using this as the key.

### serializer

    public final JsonSerializer<Object> serializer

  Serializer used for serializing id values.

### alwaysAsId

    public final boolean alwaysAsId

  Marker that indicates what the first reference is to be serialized as full POJO, or as Object Id (other references will always be serialized as Object Id)

  Since:
    2.1

Constructor Detail

### ObjectIdWriter

    protected ObjectIdWriter(JavaType t,
                             SerializedString propName,
                             ObjectIdGenerator<?> gen,
                             JsonSerializer<?> ser,
                             boolean alwaysAsId)

Method Detail

### construct

    public static ObjectIdWriter construct(JavaType idType,
                                           String propName,
                                           ObjectIdGenerator<?> generator,
                                           boolean alwaysAsId)

  Factory method called by `BeanSerializerBase` with the initial information based on standard settings for the type for which serializer is being built.

### withSerializer

    public ObjectIdWriter withSerializer(JsonSerializer<?> ser)

### withAlwaysAsId

    public ObjectIdWriter withAlwaysAsId(boolean newState)

  Since:
    2.1

Copyright © 2012 FasterXML. All Rights Reserved.